# Uses of Class
org.apache.zookeeper.server.ZooKeeperServer

Packages that use ZooKeeperServer
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.admin
org.apache.zookeeper.server.auth
org.apache.zookeeper.server.command
org.apache.zookeeper.server.controller
org.apache.zookeeper.server.quorum

## Uses of ZooKeeperServer in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as ZooKeeperServer
Modifier and Type
Field
Description
`protected final ZooKeeperServer`
ZooKeeperServerBean.`zks`
`protected ZooKeeperServer`
ServerCnxnFactory.`zkServer`
Methods in org.apache.zookeeper.server that return ZooKeeperServer
Modifier and Type
Method
Description
`final ZooKeeperServer`
ServerCnxnFactory.`getZooKeeperServer()`
Methods in org.apache.zookeeper.server with parameters of type ZooKeeperServer
Modifier and Type
Method
Description
`final void`
ServerCnxnFactory.`setZooKeeperServer(ZooKeeperServer zks)`
`void`
NettyServerCnxnFactory.`startup(ZooKeeperServer zks, boolean startServer)`
`void`
NIOServerCnxnFactory.`startup(ZooKeeperServer zks, boolean startServer)`
`void`
ServerCnxnFactory.`startup(ZooKeeperServer zkServer)`
`abstract void`
ServerCnxnFactory.`startup(ZooKeeperServer zkServer, boolean startServer)`
Constructors in org.apache.zookeeper.server with parameters of type ZooKeeperServer
Modifier
Constructor
Description
``
`ConnectionBean(ServerCnxn connection, ZooKeeperServer zk)`
``
`FinalRequestProcessor(ZooKeeperServer zks)`
``
`NIOServerCnxn(ZooKeeperServer zk, SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory factory, NIOServerCnxnFactory.SelectorThread selectorThread)`
``
`ObserverBean(Observer observer, ZooKeeperServer zks)`
``
`PrepRequestProcessor(ZooKeeperServer zks, RequestProcessor nextProcessor)`
``
`RequestThrottler(ZooKeeperServer zks)`
``
`ServerCnxn(ZooKeeperServer zkServer)`
``
`SyncRequestProcessor(ZooKeeperServer zks, RequestProcessor nextProcessor)`
``
`ZooKeeperServerBean(ZooKeeperServer zks)`

## Uses of ZooKeeperServer in org.apache.zookeeper.server.admin

Methods in org.apache.zookeeper.server.admin with parameters of type ZooKeeperServer
Modifier and Type
Method
Description
`CommandResponse`
Command.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
Run this command for HTTP GET request.
`CommandResponse`
Commands.CnxnStatResetCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.ConfCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.ConsCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.DigestCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.DirsCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.DumpCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.EnvCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.GetTraceMaskCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.InitialConfigurationCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.IsroCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.LastSnapshotCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.LeaderCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.MonitorCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.ObserverCnxnStatResetCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.RuokCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.SetTraceMaskCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.SnapshotCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.SrvrCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.StatCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.StatResetCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.SyncedObserverConsCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.SystemPropertiesCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.VotingViewCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.WatchCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.WatchesByPathCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.WatchSummaryCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
Commands.ZabStateCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`CommandResponse`
PostCommand.`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
`static CommandResponse`
Commands.`runGetCommand(String cmdName, ZooKeeperServer zkServer, Map<String,String> kwargs, String authInfo, javax.servlet.http.HttpServletRequest request)`
Run the registered command with name cmdName.
`CommandResponse`
Command.`runPost(ZooKeeperServer zkServer, InputStream inputStream)`
Run this command for HTTP POST.
`CommandResponse`
Commands.RestoreCommand.`runPost(ZooKeeperServer zkServer, InputStream inputStream)`
`CommandResponse`
GetCommand.`runPost(ZooKeeperServer zkServer, InputStream inputStream)`
`static CommandResponse`
Commands.`runPostCommand(String cmdName, ZooKeeperServer zkServer, InputStream inputStream, String authInfo, javax.servlet.http.HttpServletRequest request)`
Run the registered command with name cmdName.
`void`
AdminServer.`setZooKeeperServer(ZooKeeperServer zkServer)`
`void`
DummyAdminServer.`setZooKeeperServer(ZooKeeperServer zkServer)`
`void`
JettyAdminServer.`setZooKeeperServer(ZooKeeperServer zkServer)`
Set the ZooKeeperServer that will be used to run Commands.

## Uses of ZooKeeperServer in org.apache.zookeeper.server.auth

Methods in org.apache.zookeeper.server.auth that return ZooKeeperServer
Modifier and Type
Method
Description
`ZooKeeperServer`
ServerAuthenticationProvider.ServerObjs.`getZks()`
Constructors in org.apache.zookeeper.server.auth with parameters of type ZooKeeperServer
Modifier
Constructor
Description
``
`ServerObjs(ZooKeeperServer zks, ServerCnxn cnxn)`

## Uses of ZooKeeperServer in org.apache.zookeeper.server.command

Fields in org.apache.zookeeper.server.command declared as ZooKeeperServer
Modifier and Type
Field
Description
`protected ZooKeeperServer`
AbstractFourLetterCommand.`zkServer`
Methods in org.apache.zookeeper.server.command with parameters of type ZooKeeperServer
Modifier and Type
Method
Description
`boolean`
CommandExecutor.`execute(ServerCnxn serverCnxn, PrintWriter pwriter, int commandCode, ZooKeeperServer zkServer, ServerCnxnFactory factory)`
This class decides which command to be executed and then executes
`void`
AbstractFourLetterCommand.`setZkServer(ZooKeeperServer zkServer)`

## Uses of ZooKeeperServer in org.apache.zookeeper.server.controller

Constructors in org.apache.zookeeper.server.controller with parameters of type ZooKeeperServer
Modifier
Constructor
Description
``
`ControllableConnection(ZooKeeperServer zk, SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory factory, NIOServerCnxnFactory.SelectorThread selectorThread)`

## Uses of ZooKeeperServer in org.apache.zookeeper.server.quorum

Subclasses of ZooKeeperServer in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`class`
`FollowerZooKeeperServer`
Just like the standard ZooKeeperServer.
`class`
`LeaderZooKeeperServer`
Just like the standard ZooKeeperServer.
`class`
`LearnerZooKeeperServer`
Parent class for all ZooKeeperServers for Learners
`class`
`ObserverZooKeeperServer`
A ZooKeeperServer for the Observer node type.
`class`
`QuorumZooKeeperServer`
Abstract base class for all ZooKeeperServers that participate in a quorum.
`class`
`ReadOnlyZooKeeperServer`
A ZooKeeperServer which comes into play when peer is partitioned from the majority.
Methods in org.apache.zookeeper.server.quorum that return ZooKeeperServer
Modifier and Type
Method
Description
`ZooKeeperServer`
QuorumPeer.`getActiveServer()`
Methods in org.apache.zookeeper.server.quorum with parameters of type ZooKeeperServer
Modifier and Type
Method
Description
`void`
QuorumPeer.`setZooKeeperServer(ZooKeeperServer zks)`
`protected void`
ReadOnlyZooKeeperServer.`unregisterJMX(ZooKeeperServer zks)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type ZooKeeperServer
Modifier
Constructor
Description
``
`FollowerBean(Follower follower, ZooKeeperServer zks)`
``
`LeaderBean(Leader leader, ZooKeeperServer zks)`
``
`ReadOnlyBean(ZooKeeperServer zks)`
``
`ReadOnlyRequestProcessor(ZooKeeperServer zks, RequestProcessor nextProcessor)`